org.apache.lucene.luke.models.util.twentynewsgroups

## Class MessageFilesParser

- java.lang.Object
- - java.nio.file.SimpleFileVisitor<Path>
  - - org.apache.lucene.luke.models.util.twentynewsgroups.MessageFilesParser

- All Implemented Interfaces:
    FileVisitor<Path>

      public class MessageFilesParser
      extends SimpleFileVisitor<Path>

  20 Newsgroups (http://kdd.ics.uci.edu/databases/20newsgroups/20newsgroups.html) message files parser

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageFilesParser(Path root)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Message>` | `parseAll()`
    `FileVisitResult` | `visitFile(Path file, BasicFileAttributes attr)`

    - ### Methods inherited from class java.nio.file.SimpleFileVisitor

      `postVisitDirectory, preVisitDirectory, visitFileFailed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageFilesParser

          public MessageFilesParser(Path root)

  - ### Method Detail

    - #### visitFile

          public FileVisitResult visitFile(Path file,
                                           BasicFileAttributes attr)

      Specified by:
        `visitFile` in interface `FileVisitor<Path>`
      Overrides:
        `visitFile` in class `SimpleFileVisitor<Path>`

    - #### parseAll

          public List<Message> parseAll()
                                 throws IOException

      Throws:
        `IOException`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.